Debian Bug report logs - #683100
pnp4nagios-web: libjs-jquery-ui (>= 1.8.14) may be not enough

version graph

Package: pnp4nagios-web; Maintainer for pnp4nagios-web is Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>; Source for pnp4nagios-web is src:pnp4nagios.

Reported by: Christoph Anton Mitterer <calestyo@scientia.net>

Date: Sat, 28 Jul 2012 18:57:01 UTC

Severity: grave

Found in version pnp4nagios/0.6.16-1

Fixed in version pnp4nagios/0.6.16-2

Done: Sebastian Harl <tokkee@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>:
Bug#683100; Package pnp4nagios-web. (Sat, 28 Jul 2012 18:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Anton Mitterer <calestyo@scientia.net>:
New Bug report received and forwarded. Copy sent to Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>. (Sat, 28 Jul 2012 18:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Anton Mitterer <calestyo@scientia.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: pnp4nagios-web: libjs-jquery-ui (>= 1.8.14) may be not enough
Date: Sat, 28 Jul 2012 20:54:51 +0200
Package: pnp4nagios-web
Version: 0.6.16-1
Severity: grave
Justification: renders package unusable


Hi.

Marking this grave, because it may be required for wheezy.

In pnp4nagios-web, you made a dependency:
libjs-jquery-ui (>= 1.8.14)
so I guess, versions below really don't work.

Now libjs-jquery-ui has some strange versioning:
stable: 1.8.dfsg-3
testing: 1.8.ooops.21+dfsg-2

So I guess, the stable version is too old (i.e. 1.8.0) and the testing
version should be 1.8.21 (recent enough).

But "1.8.dfsg-3" seems to fulful >= 1.8.14 already.


If I'm wrong, just close the bug :)


Cheers,
Chris.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>:
Bug#683100; Package pnp4nagios-web. (Sun, 11 Nov 2012 18:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>. (Sun, 11 Nov 2012 18:30:03 GMT) Full text and rfc822 format available.

Message #10 received at 683100@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Christoph Anton Mitterer <calestyo@scientia.net>, 683100@bugs.debian.org
Subject: Re: Bug#683100: pnp4nagios-web: libjs-jquery-ui (>= 1.8.14) may be not enough
Date: Sun, 11 Nov 2012 19:27:14 +0100
[Message part 1 (text/plain, inline)]
On Sat, 28 Jul 2012 20:54:51 +0200, Christoph Anton Mitterer wrote:

> Marking this grave, because it may be required for wheezy.
> 
> In pnp4nagios-web, you made a dependency:
> libjs-jquery-ui (>= 1.8.14)
> so I guess, versions below really don't work.
> 
> Now libjs-jquery-ui has some strange versioning:
> stable: 1.8.dfsg-3
> testing: 1.8.ooops.21+dfsg-2
> 
> So I guess, the stable version is too old (i.e. 1.8.0) and the testing
> version should be 1.8.21 (recent enough).
> 
> But "1.8.dfsg-3" seems to fulful >= 1.8.14 already.

Right, if 1.8.14 is needed, the versioned dependency needs to be
rewritten. Looking at the upload history we have:

% who-uploads --date jqueryui
Uploads for jqueryui:
1.8.ooops.23+dfsg-1 to experimental: Marcelo Jorge Vieira (metal) <metal@debian.org> on Thu, 23 Aug 2012 22:02:34 +0000
1.8.ooops.21+dfsg-2 to unstable: Marcelo Jorge Vieira (metal) <metal@debian.org> on Thu, 21 Jun 2012 19:17:41 +0000
1.8.ooops.21+dfsg-1 to unstable: Marcelo Jorge Vieira (metal) <metal@debian.org> on Tue, 12 Jun 2012 21:33:13 +0000
1.8.ooops.20+dfsg-1 to unstable: Marcelo Jorge Vieira (metal) <metal@debian.org> on Sun, 06 May 2012 23:32:53 +0000
1.8.ooops.18+dfsg-1 to unstable: Marcelo Jorge Vieira (metal) <metal@debian.org> on Fri, 02 Mar 2012 01:02:25 +0000
1.8.ooops.17+dfsg-1 to unstable: Marcelo Jorge Vieira (metal) <metal@debian.org> on Tue, 24 Jan 2012 20:51:26 +0000
1.8.ooops.16+dfsg-1 to unstable: Marcelo Jorge Vieira (metal) <metal@debian.org> on Thu, 01 Sep 2011 20:54:36 +0000
1.8.ooops.14+dfsg-1 to unstable: Marcelo Jorge Vieira (metal) <metal@debian.org> on Wed, 06 Jul 2011 19:32:32 +0000
1.8.ooops.12+dfsg-1 to unstable: Marcelo Jorge Vieira (metal) <metal@debian.org> on Mon, 09 May 2011 22:17:43 +0000
1.8.dfsg-3 to unstable: <unrecognised public key (809DE012)> on Wed, 12 May 2010 15:48:38 +0000


so ">= 1.8.ooops.14" should be the answer.

Cheers,
gregor

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: David Bowie: The Jean Genie
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Gerfried Fuchs <rhonda@debian.org> to control@bugs.debian.org. (Sat, 24 Nov 2012 15:03:10 GMT) Full text and rfc822 format available.

Reply sent to Sebastian Harl <tokkee@debian.org>:
You have taken responsibility. (Sat, 24 Nov 2012 15:36:03 GMT) Full text and rfc822 format available.

Notification sent to Christoph Anton Mitterer <calestyo@scientia.net>:
Bug acknowledged by developer. (Sat, 24 Nov 2012 15:36:03 GMT) Full text and rfc822 format available.

Message #17 received at 683100-close@bugs.debian.org (full text, mbox):

From: Sebastian Harl <tokkee@debian.org>
To: 683100-close@bugs.debian.org
Subject: Bug#683100: fixed in pnp4nagios 0.6.16-2
Date: Sat, 24 Nov 2012 15:33:29 +0000
Source: pnp4nagios
Source-Version: 0.6.16-2

We believe that the bug you reported is fixed in the latest version of
pnp4nagios, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 683100@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sebastian Harl <tokkee@debian.org> (supplier of updated pnp4nagios package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 24 Nov 2012 15:34:54 +0100
Source: pnp4nagios
Binary: pnp4nagios pnp4nagios-bin pnp4nagios-web
Architecture: source all amd64
Version: 0.6.16-2
Distribution: unstable
Urgency: low
Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
Changed-By: Sebastian Harl <tokkee@debian.org>
Description: 
 pnp4nagios - Nagios addon to create graphs from performance data
 pnp4nagios-bin - Nagios addon to create graphs from performance data (binaries)
 pnp4nagios-web - Nagios addon to create graphs from performance data (web interfac
Closes: 683100 683138
Changes: 
 pnp4nagios (0.6.16-2) unstable; urgency=low
 .
   * debian/control:
     - Adapted versioned build-dep on libjs-jquery-ui to the workaround used by
       that package (1.8.14 -> 1.8.ooops.14). Thanks to Christoph Anton
       Mitterer for reporting this (Closes: #683100).
   * debian/patches/:
     - adjust-template-path: Fixed the patch for empty templates.d and some
       versions of glob() which in this case returns nothing resulting in PHP
       syntax errors and a crash of PNP4Nagios; thanks to Christoph Anton
       Mitterer for reporting this and pointing out a fix (Closes: #683138).
Checksums-Sha1: 
 6f4541963276df1cf3d2a2d705a49927797c06e5 1753 pnp4nagios_0.6.16-2.dsc
 a9395f97a2bef525cd0f3300ff71149fb3adbc47 20168 pnp4nagios_0.6.16-2.diff.gz
 b61e50632ff1f8c06981da1c26df33d93d8a4b08 14136 pnp4nagios_0.6.16-2_all.deb
 749d961cf0a5c00c5cb77161742348e013645b33 2222288 pnp4nagios-web_0.6.16-2_all.deb
 bfc659c0ddc20b4f48395d1e7967c7425363459b 67134 pnp4nagios-bin_0.6.16-2_amd64.deb
Checksums-Sha256: 
 56f22e78768238b03fc3a4463f58426649998833496e146e4d93dcbd2d913877 1753 pnp4nagios_0.6.16-2.dsc
 c63529152f85332fe7d5020d5e5ef55bc924e9baf70969f21bb6009c247494c3 20168 pnp4nagios_0.6.16-2.diff.gz
 bf2040e37271868eadc3263f3d020d41ad7364985132b27b744a8ef92252f07c 14136 pnp4nagios_0.6.16-2_all.deb
 6bce39f91ec950adaecfb7c884baac64079ec03c4d202f4194d63726c13e84a1 2222288 pnp4nagios-web_0.6.16-2_all.deb
 78060c9146ca90f3541dc4d8ff18daafe621db3d9f43b0ed19c29509c85ea606 67134 pnp4nagios-bin_0.6.16-2_amd64.deb
Files: 
 9c28d68fdccc86c321b71f090b2a196a 1753 net optional pnp4nagios_0.6.16-2.dsc
 e87fdb11c7f05deadc9876588c4dbe18 20168 net optional pnp4nagios_0.6.16-2.diff.gz
 e9c2a8474f9a5c63a40fa8c31ad5f9ac 14136 net optional pnp4nagios_0.6.16-2_all.deb
 44ab8be53dd80123f0c67091e6d7321c 2222288 net optional pnp4nagios-web_0.6.16-2_all.deb
 0f401204830f1f388e959aa1bc68af51 67134 net optional pnp4nagios-bin_0.6.16-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQEcBAEBCAAGBQJQsOIWAAoJEDH85+fdB5RhB3QIAIqaA0ptXo7ES1fk8jdva2xF
I0APdGK6efEe71KWVlwyBcPHvQs4HSI9JZXOZytWtUAsKaK3IRuDEEXL/GwbNQ5F
rH5Lg5u1YqPPWuDGxSx3xE45oPt5GvqdPkYH6T2l5jtC7sL90zGsxHXhHNA+gHhj
Vi2mMJhSKGPLHwoUQexxsonDnevAmNcXWh19Amc5s+vT3knvhoF1dJ19o8gaUYnf
m4Vs2h8fzJjJzTGZIx1BZfckn9QRRRRKDcRkfieeXNLA6A4mVR5cCK9G1WHWiKV/
K06RgbsHvmqaRlOCtIbp7JzT+tTxxQl3nzkES7dc9ZKIY1tsPqyt+p21qlBnB4o=
=C90s
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 02 Jan 2013 07:25:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 15:42:52 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.